<?php

// now we are here save-processing our POST variables from the usage.php file
// for that we first include the InputFilter class from php-classes
include("classes/InputFilter.php");

// Now we can create an instance which will cleanse out all HTML code we've recieved
$myFilter = new InputFilter("", "", 0, 0);

// Next we clean out all the POST parameters from potential malformed code
$_POST = $myFilter->process($_POST);

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<title>Result of Sample #1</title>
	<link rel="stylesheet" href="mycss.css" type="text/css">
	</head>
<body>
	<div id="maincontent">
	<br /><br />
	<?php	
		// After everything is cleansed we output all the POST variables inside a loop
		echo "<table align='center'>";
		foreach($_POST as $key => $elem)
		{
			echo "<tr>"
				  ."<td style=\"width:100px; color:darkred;\">".$key."</td>"
				  ."<td>".$elem."</td>"
				."</tr>";
		}
		echo "</table>";
	?>
	</div>
</body>
</html>